<?php


namespace Schaffen\Financial\Person\Managers;


use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\DB;
use Schaffen\Financial\Person\Models\Person;
use Schaffen\Financial\Person\Repositories\PersonRepository;


class PersonManager extends ManipulationManager
{
    protected $validation = [
        self::CREATE => [],
        self::EDIT => []
    ];

    /**
     * @var PersonRepository
     */
    protected $repository;
   


    public function __construct(
        PersonRepository      $repository
    )
    {
        $this->repository = $repository;
       
    }

    /**
     * @param $values
     * @param int|null $id
     * @param array $relations
     * @return Person
     * @throws \Throwable
     */
    public function storeOrUpdate($values, int $id = null, $relations = []): Person
    {
        return DB::transaction(function () use ($values, $id, $relations) {
            /** @var Person $person */
            $person = parent::storeOrUpdate($values, $id, $relations);
            
            return $person;
        });
    }


}
